/* Estilos generales */

* {
    margin: 0px auto;
    padding: 0px;
}
/* variables en donde guarda los colores de fondo */

:root {
    --fondo-cabecera: rgba(250, 237, 237,0.2);
    --fondo-cuerpo: rgb(34, 33, 33);
}

/*Fuentes añadidas*/
@font-face {
    font-family: "WebSymbolsRegular";
    src: url("fonts/websymbols-regular-webfont.eot");
    src: url("fonts/websymbols-regular-webfont.eot?#iefix") format("embedded-opentype"),
        url("fonts/websymbols-regular-webfont.woff") format("woff"),
        url("fonts/websymbols-regular-webfont.ttf") format("truetype"),
        url("fonts/websymbols-regular-webfont.svg") format("svg");
    font-weight: normal;
    font-style: normal;
}

/* Divido al body en 3 partes usando grid*/

#content {
    display: grid;
    width: 100%;
    height: 100%;
    grid-template-columns: repeat(4,1fr);
    grid-template-rows: 720px 1fr 300px;
    grid-template-areas: 
    "cabecera cabecera cabecera cabecera"
    "cuerpo cuerpo cuerpo cuerpo"
    "pie pie pie pie"
    ;
    background-color: var(--fondo-cuerpo);
}

/* Inicio de la cabecera */
#content #header{
    grid-area: cabecera;
    width: 100%;
    height: 100%;
    background-image: url("../img/fondo-cabecera.jpg");
    background-size: cover;
    display: grid;
    grid-template-rows: 40% 60%;
    grid-template-areas:
    "bienvenido"
    "menu";
    overflow: hidden;
}
#content #header #cabecera{
    background-color: var(--fondo-cabecera);
    width: 100%;
    height: 255%;
}
/* Estilos del mensaje de bienvenida*/
#content #header #cabecera #welcome{
    grid-area: bienvenido;
    width: 100%;
    height: 58.1%;
    color: red;
    font-size: 55px;
    text-align: center;
    padding-top: 8%;
    text-shadow: 2px 2px 4px white;
    
}
#content #header #cabecera #welcome a{
    text-decoration: none;
    color: red;
    font-size: 60px;
}
#content #header #cabecera #welcome a:hover{
    text-shadow: 2px 2px 4px white;
    cursor: pointer;
    font-size: 65px;
}
/* Estilos del menu */
#content #header #cabecera #nav{
    grid-area: menu;
    width: 100%;
    height: 83%;
    margin-top: -10%;
}

#nav ul{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    list-style: none;
    width: 70%;
    
}
#nav ul li{
    text-align: center;
    height: 50px;
    line-height: 50px;
    width: 90%;
}

#nav ul li a{
    text-decoration: none;
    width: 100%;
    color: black;
    font-size: 40px;
    
}

#nav ul li a:hover{
    color: black;
    display: block;
    transition: all 300ms;
    background-color: red;
    border-radius: 50px;
}
/* Fin de la cabecera */
/* Inicio del content-body */
#content #body{
    grid-area: cuerpo;
    width: 95%;
    height:100%;
    display:grid;
    grid-template-rows: 820px 2500px;
    grid-template-areas:
    "trabajos"
    "seccion-informativa"
    ;
}
/* Estilos de la seccion donde muestro las imagenes de los trabajos realizados */
#content #body #trabajos{
    grid-area: trabajos;
    width: 100%;
    height: 100%;
    display:grid;
    grid-template-rows: 100px 400px 1000px 1000px ;
    grid-template-areas:
    "titulo-trabajo" 
    "tarjetas"
    "tarjetas-more"
    "tarjetas-more-more";
    margin-top: 3%;
}

/* Estilo de la ventana en donde se muestra la imagen completa */
#content #body #trabajos #fullImgBox{
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0, 0.9);
    position: fixed;
    top:0;
    left:0;
    display: none;
    align-items: center;
    justify-content: center;
}

#content #body #trabajos #fullImgBox img{
    width: 90%;
    max-width: 70%;
    margin-left: 16%;
    height: 610px;
    margin-top: 2%;
}
/* Estilos de boton X de la ventana en donde meustra completa la imagen  */
#content #body #trabajos #fullImgBox span{
    position: absolute;
    top:5%;
    right: 5%;
    font-size: 30px;
    color: #fff;
    cursor: pointer;
    font-family: Arial, Helvetica, sans-serif;
}



#content #body #trabajos .titulos{
    grid-area: titulo-trabajo;
    width: 50%;
    height: 100%;
    text-align: center;
    line-height: 100px;
    font-size: 55px;
    color: red;
    text-shadow: -2px -1px 0px white;
}

/* Estilos de la imagenes de mi trabajo */
.tarjetas{
    grid-area: tarjetas;
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-template-rows: repeat(2,1fr);
}
.tarjetas-verticales .articulos{
    height: 450px;
    width: 90%;
}

.articulos{
    overflow: hidden;
    height: 275px;
    width: 100%;
}

.articulos img{
    width: 95%;
    height: 100%;
    margin-top:3%;
    cursor: pointer;
}
/* Estilos de la imagenes que se muestran al precionar el boton ver mas */
#trabajos #imgMore{
    grid-area: tarjetas-more;
    margin-top: 12%;
    margin-bottom: 10%;
    width: 100%;
    height: 100%;
    display: none;
}
/* Estilos de la imagenes que se muestran al precionar el boton ver aun mas */
#trabajos #imgMoreImg{
    grid-area: tarjetas-more-more;
    margin-top: 10%;
    margin-bottom: 10%;
    width: 100%;
    height: 100%;
    display: none;
}
/* Estilos de los botones */
#trabajos .bottom-verMas{
    display: block;
    width: 20%;
    height: 42px;
    margin-top: 13%;
    background: black;
    color: red;
    text-align: center;
    padding-top: 10px;
    border-radius: 100px;
    font-size: 30px;
    font-family: Arial, Helvetica, sans-serif;
    cursor: pointer;
}

#trabajos .bottom-verMas:hover{
    background: red;
    color: black;
}
#trabajos .bottom-aunMas{
    display: none;
    width: 20%;
    height: 42px;
    margin-top: 9.6%;
    background: black;
    color: red;
    text-align: center;
    padding-top: 10px;
    border-radius: 100px;
    font-size: 30px;
    font-family: Arial, Helvetica, sans-serif;
    cursor: pointer;
    margin-left: 27%;
}

#trabajos .bottom-aunMas:hover{
    background: red;
    color: black;
}
/* Estilos de la seccion de preguntas frecuentes */
#content #body #seccion-informativa{
    grid-area: seccion-informativa;
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-rows: 50% 50%;
    grid-template-areas: 
    "texto"
    "cards";
}

#seccion-informativa .texto{
    grid-area: texto;
    width: 100%;
    height: 100%;

}
.titulos-intermedios{
    display: block;
    width: 100%;
    height: 70px;
    color: red;
    background: black;
    margin-top: 0px;
    margin-bottom: 20px;
    font-size: 50px;
    text-align: center;
    font-family: 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

#seccion-informativa .texto .titulos-h3{
    display: block;
    width: 50%;
    height: 50px;
    color: white;
    font-size: 30px;
    text-align: center;
    font-family: 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

#seccion-informativa .texto .parrafos-p{
    display: block;
    width: 80%;
    height: 200px;
    font-size: 20px;
    text-align: center;
    color: white;
    font-family: 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}
/* Estilos de las tarjetas */

#seccion-informativa #seccion-cards{
    grid-area: cards;
    width: 100%;
    height: 100%;
    margin-bottom: 20px;
    margin-top: 6%;
}

#seccion-cards #all-cards{
    display: grid;
    width: 100%;
    height: 100%;
    grid-template-columns: repeat(4,1fr);
    grid-template-rows: repeat(3,1fr);
    
}

#all-cards .card{
    display: block;
    overflow: hidden;
    width: 90%;
    height: 450px;
    border-radius: 20px;
    border: 1px solid white;
    margin-bottom: 60px;
    
}
#all-cards .card .img-block{
    width: 100%;
    height: 200px;
    overflow: hidden;
}

#all-cards .card .img-block img{
    width: 100%;
    height: 100%;
}

#all-cards .card .parrafo-block{
    width: 90%;
    height: 180px;
    overflow: hidden;
}

#all-cards .card .parrafo-card{
    width: 100%;
    text-align: center;
    color: white;
    font-size: 15.5px;
    margin-top: 10px;
    margin-bottom: 10px;
    font-family: 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

#all-cards .card .bottom-card{
    display: block;
    width: 100%;
    height: 45px;
    background-color: aliceblue;
    color: black;
    font-size: 30px;
    text-align: center;
    margin-top: 9.5%;
}

#all-cards .card .bottom-card:hover{
    color: red;
    background-color: black;
    cursor: pointer;
}

/* Fin del content-body */
/* Inicio del pie de pagina */

#content footer{
    grid-area: pie;
    width: 100%;
    height: 100%;
    background-color: black;
    margin-top: 100px;
    display: grid;
    grid-template-rows: 250px 50px;
    grid-template-areas: 
    "contenido"
    "desarrollado";
}

#content footer #content-pie{
    grid-area: contenido;
    width: 70%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(4,1fr);
    margin-top: 3.5%;

}
/* Estilos del logo */
#content-pie #logo-pie{
    display: block;
    width: 100%;
    height: 100%;
    overflow: hidden;
}
#content-pie #logo-pie img{
    width: 210px;
    height: auto;
    display: block;
    margin-top: 7%;
}
#content-pie #logo-pie img:hover{
    width: 85%;
}

#content-pie a{
    font-family: WebSymbolsRegular;
    text-decoration: none;
    font-size: 800%;
    color: white;
}

#content-pie #facebook:hover{ 
    color: rgb(4, 4, 227);
}
#content-pie #twitter:hover{
    color: rgb(11, 126, 226);
}
#content-pie #youtube:hover{
    color: red;
}

#content footer #desarrollado{
    grid-area: desarrollado;
    width: 100%;
    height: 100%;
    color: white;
    text-align: center;
    font-size: 20px;
    line-height: 50px;

}
#content footer #desarrollado:hover{
    background-color: grey;
    color: black;
}

#content footer #desarrollado a{
    text-decoration: none;
    color: red;
}

#content footer #desarrollado a:hover{
    color: blue;
}

/* Fin del pie de pagina */